# Get-RASAVDSKU.md

## NAME

Get-RASAVDSKU

## SYNOPSIS

The cmdlet returns a list of Azure Virtual Desktop Stock Keeping Units.

## SYNTAX

**Get-RASAVDSKU** -[Location](#location-string) *(string)* -[Offer](#offer-string) *(string)* -[ProviderId](#providerid-string) *(uint)* -[Publisher](#publisher-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The cmdlet returns a list of Azure Virtual Desktop Stock Keeping Units.

## PARAMETERS

## ProviderId (uint)

Provider ID from which to retrieve the Azure Virtual Desktop Stock Keeping Unit information.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Location (string)

Location of the Azure Virtual Desktop Provider.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Publisher (string)

The Azure Virtual Desktop Publisher.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Offer (string)

The Azure Virtual Desktop Offer.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[AVDSKU](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdsku.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASAVDSKU -ProviderId 2 -Location "westeurope" -Publisher "my-publisher" -Offer "my-offer"

Retrieves a list of Stock Keeping Units which fall under the Provider, Location, Publisher and Offer specified.

## RELATED LINKS

-none-


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdsku.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
